## kodi-pvr-mythtv-dmo 2.6.1

=== lib/cppmyth/CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6 FATAL_ERROR)
cmake_policy (VERSION 2.6)

project (cppmyth)

set (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

enable_language(CXX)
enable_language(C)

# Options
if (MSVC)
  # This option must match the settings used in your program, in particular if you
  # are linking statically
  OPTION (STATIC_CRT "Link the static CRT libraries" OFF)
endif ()

if (NOT WIN32)
  OPTION (REQUIRE_CXX_98 "Require standard c++98" OFF)
endif ()

###############################################################################
# set lib version here
set (CPPMYTH_LIB_VERSION "2.2.0")
set (CPPMYTH_LIB_SOVERSION "2")

###############################################################################
# add definitions
if (MSVC)
  add_definitions ("/D_USE_32BIT_TIME_T /D_CRT_SECURE_NO_WARNINGS")
  if (STATIC_CRT)
    set (CMAKE_C_FLAGS_RELEASE "/MT")
    set (CMAKE_C_FLAGS_DEBUG "/MTd")
    set (CMAKE_CXX_FLAGS_RELEASE "/MT")
    set (CMAKE_CXX_FLAGS_DEBUG "/MTd")
  endif ()
  set (CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /W3")
  set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /W3")
  set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /W3 /Od /RTC1 /EHsc /nologo")
  set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /W3 /Od /RTC1 /EHsc /nologo")
endif ()

if (NOT WIN32 AND (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX))
  add_definitions ("-fPIC")
  include (CheckLibraryExists)
  include (CheckAtomic)
  if (HAS_BUILTIN_SYNC_ADD_AND_FETCH)
    add_definitions ("-DHAS_BUILTIN_SYNC_ADD_AND_FETCH")
  endif ()
  if (HAS_BUILTIN_SYNC_SUB_AND_FETCH)
    add_definitions ("-DHAS_BUILTIN_SYNC_SUB_AND_FETCH")
  endif ()
endif ()

###############################################################################
# configure
include (CheckFunctionExists)
include (CheckFunctionKeywords)
find_package (Threads REQUIRED)

check_function_exists (timegm CHK_TIMEGM)
if (CHK_TIMEGM)
    set (HAVE_TIMEGM 1)
else ()
    set (HAVE_TIMEGM 0)
endif ()

check_function_exists (localtime_r CHK_LOCALTIME_R)
if (CHK_LOCALTIME_R)
    set (HAVE_LOCALTIME_R 1)
else ()
    set (HAVE_LOCALTIME_R 0)
endif ()

check_function_exists (gmtime_r CHK_GMTIME_R)
if (CHK_GMTIME_R)
    set (HAVE_GMTIME_R 1)
else ()
    set (HAVE_GMTIME_R 0)
endif ()

# Check what the inline keyword is.
check_function_keywords ("inline")
check_function_keywords ("__inline")
check_function_keywords ("__inline__")
if (HAVE_INLINE)
   set (CC_INLINE inline)
elseif (HAVE___INLINE)
   set (CC_INLINE __inline)
elseif (HAVE___INLINE__)
   set (CC_INLINE __inline__)
else ()
   # no inline on this platform
   set (CC_INLINE)
endif ()

if (REQUIRE_CXX_98)
  set (CXX_STANDARD "199711L")
  message(STATUS "c++98 activated")
else ()
  if (MSVC)
    set (CXX_STANDARD "201103L")
  else ()
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
    if(COMPILER_SUPPORTS_CXX11)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
      set (CXX_STANDARD "201103L")
    else()
      set (CXX_STANDARD "199711L")
    endif ()
  endif ()
endif ()

# configure the public config file
configure_file (
  ${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h.in
  ${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h)

include_directories (
  ${CMAKE_CURRENT_SOURCE_DIR}/src/.)

###############################################################################
# add sources
file (GLOB SRC_FILES
  src/private/mythdto/*.cpp
  src/private/*.c
  src/private/*.cpp
  src/proto/*.cpp
  src/*.cpp)

file (GLOB OS_SRC_FILES
  src/private/os/threads/threadpool.cpp)

if (MSVC)
  list (APPEND OS_SRC_FILES
    src/private/os/windows/winpthreads.c)
endif ()

set (CPPMYTH_SOURCES
  ${SRC_FILES} ${OS_SRC_FILES})

###############################################################################
# add targets
set (cppmyth_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
if (WIN32)
  list (APPEND cppmyth_LIBRARIES ws2_32)
else ()
  list (APPEND cppmyth_LIBRARIES m)
  find_library (LIBRT rt)
  if (LIBRT)
    list (APPEND cppmyth_LIBRARIES rt)
  endif ()
endif ()

add_library (cppmyth STATIC ${CPPMYTH_SOURCES})
target_link_libraries (cppmyth ${cppmyth_LIBRARIES})

## kodi-pvr-mythtv-dmo 2.7.2

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 cmake_minimum_required (VERSION 2.6 FATAL_ERROR)
 cmake_policy (VERSION 2.6)
+set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
 
 project (cppmyth)
 
@@ -21,7 +22,7 @@
 
 ###############################################################################
 # set lib version here
-set (CPPMYTH_LIB_VERSION "2.2.0")
+set (CPPMYTH_LIB_VERSION "2.3.0")
 set (CPPMYTH_LIB_SOVERSION "2")
 
 ###############################################################################
@@ -41,7 +42,9 @@
 endif ()
 
 if (NOT WIN32 AND (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX))
-  add_definitions ("-fPIC")
+  if (NOT CYGWIN)
+    add_definitions ("-fPIC")
+  endif ()
   include (CheckLibraryExists)
   include (CheckAtomic)
   if (HAS_BUILTIN_SYNC_ADD_AND_FETCH)

## kodi-pvr-mythtv-dmo 19.0.11

=== debian/changelog ===
kodi-pvr-mythtv-dmo (6:19.0.11-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Jun 2022 14:21:58 +0200

kodi-pvr-mythtv-dmo (6:19.0.10-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 Jun 2022 08:45:45 +0200

kodi-pvr-mythtv-dmo (6:19.0.9-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 31 May 2022 08:23:57 +0200

kodi-pvr-mythtv-dmo (6:19.0.8-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Mar 2022 12:42:44 +0200

kodi-pvr-mythtv-dmo (6:19.0.7-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Feb 2022 15:23:20 +0100

kodi-pvr-mythtv-dmo (6:19.0.6-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 13 Jan 2022 14:23:02 +0100

kodi-pvr-mythtv-dmo (6:19.0.4-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Jan 2022 09:40:21 +0100

kodi-pvr-mythtv-dmo (6:19.0.3-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 08 Jan 2022 09:36:27 +0100

kodi-pvr-mythtv-dmo (6:19.0.2-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Nov 2021 10:06:22 +0100

kodi-pvr-mythtv-dmo (6:19.0.0-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Oct 2021 09:00:05 +0200

kodi-pvr-mythtv-dmo (6:7.3.4-dmo0+deb11u1) stable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Sep 2021 08:10:40 +0200

kodi-pvr-mythtv-dmo (6:7.3.1-dmo2) unstable; urgency=medium

  * Add pkg-config tp Build-Depends.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 22 Mar 2021 15:52:20 +0100

kodi-pvr-mythtv-dmo (6:7.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Mar 2021 23:17:15 +0100

kodi-pvr-mythtv-dmo (6:7.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Jan 2021 15:34:12 +0100

kodi-pvr-mythtv-dmo (6:5.10.19-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 15 Jul 2020 19:24:32 +0200

kodi-pvr-mythtv-dmo (6:5.10.18-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Jul 2020 08:25:49 +0200

kodi-pvr-mythtv-dmo (6:5.10.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 May 2020 01:22:23 +0200

kodi-pvr-mythtv-dmo (6:5.10.15-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Jan 2020 20:14:59 +0100

kodi-pvr-mythtv-dmo (6:5.10.14-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Nov 2019 19:05:59 +0100

kodi-pvr-mythtv-dmo (6:5.10.13-dmo2) unstable; urgency=medium

  * Should Build-depends on pkg-config

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Oct 2019 15:17:03 +0200

kodi-pvr-mythtv-dmo (6:5.10.13-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Oct 2019 07:25:19 +0200

kodi-pvr-mythtv-dmo (6:5.10.12-dmo2) unstable; urgency=medium

  * Add patch to link against libcppmyth2

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Oct 2019 18:28:54 +0200

kodi-pvr-mythtv-dmo (6:5.10.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Oct 2019 07:43:26 +0200

kodi-pvr-mythtv-dmo (6:5.10.11-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Oct 2019 08:41:58 +0200

kodi-pvr-mythtv-dmo (6:5.10.9-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Sep 2019 11:41:10 +0200

kodi-pvr-mythtv-dmo (6:5.10.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 28 Aug 2019 00:55:43 +0200

kodi-pvr-mythtv-dmo (6:5.10.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Apr 2019 17:53:31 +0200

kodi-pvr-mythtv-dmo (6:5.10.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Feb 2019 08:38:06 +0100

kodi-pvr-mythtv-dmo (6:5.10.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Feb 2019 17:17:43 +0100

kodi-pvr-mythtv-dmo (6:5.10.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 30 Jan 2019 08:37:44 +0100

kodi-pvr-mythtv-dmo (6:4.12.17-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Aug 2017 16:31:29 +0200

kodi-pvr-mythtv-dmo (6:4.12.16-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 18 Aug 2017 15:58:11 +0200

kodi-pvr-mythtv-dmo (6:4.12.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 21 Apr 2017 18:54:33 +0200



=== debian/control ===
Source: kodi-pvr-mythtv-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/janbar/pvr.mythtv
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
  zlib1g-dev, quilt, ninja-build, libcppmyth-dev (>= 2.14.5~), pkg-config

Package: kodi-pvr-mythtv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${kodi:PVRAPI}
Description: MythTV PVR Addon for Kodi
 MythTV is a open source software PVR project that is designed to run on
 Linux, although other operating system packages are available. With MythTV
 you can watch Live TV, schedule recordings, view episode guide information,
 and many other features you expect from a DVR type appliance device. But
 more interesting for Kodi users is that as MythTV uses a distributed
 application structure it can also be configured as PVR backend (PVR server)
 for Kodi, supporting multiple Kodi frontends as clients, with MythTV acting
 as the PVR backend that does work of tuning TV signals, recording,
 scheduling, and post processing jobs.
 .
 This package contains the MythTV PVR (Personal Video Recorder) Addon for
 Kodi, the award winning free and open source software media-player and
 entertainment hub for all your digital media.

Package: kodi-pvr-mythtv-cmyth
Section: oldlibs
Architecture: any
Depends: kodi-pvr-mythtv (= ${binary:Version}), ${misc:Depends}
Description: Transitional package to install kodi-pvr-mythtv
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja

# --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo

#	exit 1

override_dh_makeshlibs:
	dh_makeshlibs -n

override_dh_installchangelogs:
	dh_installchangelogs pvr.mythtv/changelog.txt

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/janbar/pvr.mythtv/releases \
(?:.*?/)?v?(\d[\d.]*)-Matrix@ARCHIVE_EXT@

## kodi-pvr-mythtv-dmo 20.6.9

=== debian/changelog ===
kodi-pvr-mythtv-dmo (6:20.6.9-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Mar 2024 14:45:30 +0100

kodi-pvr-mythtv-dmo (6:20.6.8-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Feb 2024 13:22:44 +0100

kodi-pvr-mythtv-dmo (6:20.6.6-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 23 Feb 2024 07:49:32 +0100

kodi-pvr-mythtv-dmo (6:20.6.4-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Feb 2024 08:45:09 +0100

kodi-pvr-mythtv-dmo (6:20.6.1-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Feb 2024 16:07:42 +0100

kodi-pvr-mythtv-dmo (6:20.6.0-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.
  * Build with included cppmyth.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Feb 2024 16:24:56 +0100

kodi-pvr-mythtv-dmo (6:20.5.10-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Feb 2024 15:37:10 +0100

kodi-pvr-mythtv-dmo (6:20.5.8-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Nov 2023 15:02:12 +0100

kodi-pvr-mythtv-dmo (6:20.5.6-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Nov 2023 11:33:34 +0100

kodi-pvr-mythtv-dmo (6:20.5.5-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Sep 2023 08:02:28 +0200

kodi-pvr-mythtv-dmo (6:20.5.3-dmo0~bpo11+1) oldstable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Sep 2023 09:47:54 +0200

kodi-pvr-mythtv-dmo (6:20.3.2-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Feb 2023 09:24:26 +0100

kodi-pvr-mythtv-dmo (6:20.3.1-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Feb 2023 15:36:48 +0100

kodi-pvr-mythtv-dmo (6:20.3.0-dmo0~bpo11+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Jan 2023 19:24:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/janbar/pvr.mythtv
 Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:19~),
-  zlib1g-dev, quilt, ninja-build, libcppmyth-dev (>= 2.14.5~), pkg-config
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
+  zlib1g-dev, ninja-build, quilt
 
 Package: kodi-pvr-mythtv
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ -Scmake+ninja
-
-# --with quilt
+	dh $@ -Scmake+ninja --with quilt
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=4

https://github.com/janbar/pvr.mythtv/releases \
(?:.*?/)?v?(\d[\d.]*)-Nexus@ARCHIVE_EXT@

## kodi-pvr-mythtv-dmo 21.1.11

=== debian/changelog ===
kodi-pvr-mythtv-dmo (6:21.1.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Nov 2024 08:40:17 +0100

kodi-pvr-mythtv-dmo (6:21.1.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 11 Nov 2024 17:16:18 +0100

kodi-pvr-mythtv-dmo (6:21.1.9-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 Nov 2024 15:31:20 +0100

kodi-pvr-mythtv-dmo (6:21.1.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Jul 2024 18:34:17 +0200

kodi-pvr-mythtv-dmo (6:21.1.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Apr 2024 14:34:20 +0200

kodi-pvr-mythtv-dmo (6:20.6.9-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 29 Feb 2024 15:56:49 +0100

kodi-pvr-mythtv-dmo (6:20.6.8-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 24 Feb 2024 08:35:28 +0100

kodi-pvr-mythtv-dmo (6:20.6.6-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 23 Feb 2024 01:59:34 +0100

kodi-pvr-mythtv-dmo (6:20.6.5-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Feb 2024 14:06:17 +0100

kodi-pvr-mythtv-dmo (6:20.6.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 18 Feb 2024 11:19:07 +0100

kodi-pvr-mythtv-dmo (6:20.6.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Feb 2024 17:25:28 +0100

kodi-pvr-mythtv-dmo (6:20.6.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Feb 2024 15:07:55 +0100

kodi-pvr-mythtv-dmo (6:20.6.0-dmo1) unstable; urgency=medium

  * New upstream release.
  * Build with included cppmyth.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 11 Feb 2024 09:03:51 +0100

kodi-pvr-mythtv-dmo (6:20.5.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Feb 2024 15:07:22 +0100

kodi-pvr-mythtv-dmo (6:20.5.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 28 Nov 2023 08:43:23 +0100

kodi-pvr-mythtv-dmo (6:20.5.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Nov 2023 01:10:10 +0100

kodi-pvr-mythtv-dmo (6:20.5.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 20 Sep 2023 08:18:17 +0200

kodi-pvr-mythtv-dmo (6:20.5.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Sep 2023 00:02:37 +0200

kodi-pvr-mythtv-dmo (6:20.5.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Sep 2023 08:57:59 +0200

kodi-pvr-mythtv-dmo (6:20.4.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Aug 2023 18:22:55 +0200

kodi-pvr-mythtv-dmo (6:20.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Aug 2023 14:36:33 +0200

kodi-pvr-mythtv-dmo (6:20.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 Feb 2023 01:39:59 +0100

kodi-pvr-mythtv-dmo (6:20.3.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Feb 2023 15:25:51 +0100

kodi-pvr-mythtv-dmo (6:20.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 15 Jan 2023 16:05:32 +0100

kodi-pvr-mythtv-dmo (6:19.0.11-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Jun 2022 12:49:17 +0200

kodi-pvr-mythtv-dmo (6:19.0.10-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 01 Jun 2022 08:02:51 +0200

kodi-pvr-mythtv-dmo (6:19.0.9-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 31 May 2022 07:49:25 +0200

kodi-pvr-mythtv-dmo (6:19.0.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Mar 2022 00:59:37 +0100

kodi-pvr-mythtv-dmo (6:19.0.7-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Feb 2022 08:15:30 +0100

kodi-pvr-mythtv-dmo (6:19.0.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Jan 2022 00:39:19 +0100

kodi-pvr-mythtv-dmo (6:19.0.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 09 Jan 2022 01:07:59 +0100

kodi-pvr-mythtv-dmo (6:19.0.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 04 Jan 2022 21:04:54 +0100

kodi-pvr-mythtv-dmo (6:19.0.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Nov 2021 08:36:40 +0100

kodi-pvr-mythtv-dmo (6:19.0.0-dmo1) unstable; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/janbar/pvr.mythtv
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:20~),
-  zlib1g-dev, ninja-build, quilt
+Rules-Requires-Root: no
+Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
+  zlib1g-dev, ninja-build
 
 Package: kodi-pvr-mythtv
 Architecture: any

## kodi-pvr-mythtv-dmo 21.1.12

=== lib/cppmyth/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5...3.20)
project (cppmyth)

set (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# Options
OPTION (BUILD_SHARED_LIBS "Build shared libraries." OFF)
if (MSVC)
  # This option must match the settings used in your program, in particular if you
  # are linking statically
  OPTION (STATIC_CRT "Link the static CRT libraries" OFF)
endif ()

###############################################################################
# set lib version here
set (PACKAGE_VERSION_MAJOR 2)
set (PACKAGE_VERSION_MINOR 18)
set (PACKAGE_VERSION_PATCH 1)

set (PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})
set (PACKAGE_LIB_SOVERSION ${PACKAGE_VERSION_MAJOR})
###############################################################################
# add definitions
if (MSVC)
  add_definitions ("/D_CRT_SECURE_NO_WARNINGS")
  if (STATIC_CRT)
    set (CMAKE_C_FLAGS_RELEASE "/MT")
    set (CMAKE_C_FLAGS_DEBUG "/MTd")
    set (CMAKE_CXX_FLAGS_RELEASE "/MT")
    set (CMAKE_CXX_FLAGS_DEBUG "/MTd")
  endif ()
  set (CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /W3")
  set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /W3")
  set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /W3 /EHsc /nologo")
  set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /W3 /EHsc /nologo")
  if(CMAKE_SYSTEM_NAME STREQUAL WindowsStore)
    set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /O2")
    set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /O2")
  else()
    set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /Od /RTC1")
    set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /Od /RTC1")
  endif()
endif ()

if (NOT MSVC)
  if (NOT CYGWIN)
    add_definitions ("-fPIC")
  endif ()

  add_definitions ("-Wall")

  include(CheckCXXCompilerFlag)
  CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
  if(COMPILER_SUPPORTS_CXX11)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    message(STATUS "Using standard c++11")
  endif()
  include (CheckLibraryExists)
  include (CheckAtomic)
  if (HAS_BUILTIN_SYNC_ADD_AND_FETCH)
    add_definitions ("-DHAS_BUILTIN_SYNC_ADD_AND_FETCH")
  endif ()
  if (HAS_BUILTIN_SYNC_SUB_AND_FETCH)
    add_definitions ("-DHAS_BUILTIN_SYNC_SUB_AND_FETCH")
  endif ()
endif ()

###############################################################################
# configure
include (CheckFunctionExists)
include (CheckFunctionKeywords)
find_package (Threads REQUIRED)

check_function_exists (timegm CHK_TIMEGM)
if (CHK_TIMEGM)
    set (HAVE_TIMEGM 1)
else ()
    set (HAVE_TIMEGM 0)
endif ()

check_function_exists (localtime_r CHK_LOCALTIME_R)
if (CHK_LOCALTIME_R)
    set (HAVE_LOCALTIME_R 1)
else ()
    set (HAVE_LOCALTIME_R 0)
endif ()

check_function_exists (gmtime_r CHK_GMTIME_R)
if (CHK_GMTIME_R)
    set (HAVE_GMTIME_R 1)
else ()
    set (HAVE_GMTIME_R 0)
endif ()

find_package (ZLIB REQUIRED)
if (ZLIB_FOUND)
    include_directories (${ZLIB_INCLUDE_DIRS})
    set (HAVE_ZLIB 1)
else ()
    set (HAVE_ZLIB 0)
endif ()

set (HAVE_OPENSSL 0)

# Check what the inline keyword is.
check_function_keywords ("inline")
check_function_keywords ("__inline")
check_function_keywords ("__inline__")
if (HAVE_INLINE)
   set (CC_INLINE inline)
elseif (HAVE___INLINE)
   set (CC_INLINE __inline)
elseif (HAVE___INLINE__)
   set (CC_INLINE __inline__)
else ()
   # no inline on this platform
   set (CC_INLINE)
endif ()

# configure the public config file
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/local_config.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/src/local_config.h)

include_directories (${CMAKE_CURRENT_BINARY_DIR}/src/ ${CMAKE_CURRENT_SOURCE_DIR}/src/.)

###############################################################################
# add sources
file (GLOB SRC_FILES
  src/private/mythdto/*.cpp
  src/private/*.c src/private/*.cpp
  src/proto/*.cpp
  src/*.cpp)

file (GLOB OS_SRC_FILES
  src/private/os/threads/threadpool.cpp
  src/private/os/threads/latch.cpp)

if (MSVC)
  list (APPEND OS_SRC_FILES
    src/private/os/windows/winpthreads.c)
endif ()

set (CPPMYTH_SOURCES
  ${SRC_FILES} ${OS_SRC_FILES})

file (GLOB HDR_FILES
  src/private/mythdto/*.h
  src/private/*.h
  src/proto/*.h
  src/*.h)

file (GLOB OS_HDR_FILES
  src/private/os/threads/*.h)

set (CPPMYTH_HEADERS
  ${HDR_FILES} ${OS_HDR_FILES})

###############################################################################
# add targets
set (cppmyth_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
if (ZLIB_FOUND)
  list (APPEND cppmyth_LIBRARIES ${ZLIB_LIBRARIES})
endif ()
#if (OPENSSL_FOUND)
#  list (APPEND cppmyth_LIBRARIES ${OPENSSL_SSL_LIBRARY} ${OPENSSL_CRYPTO_LIBRARY})
#endif ()
if (MSVC)
  list (APPEND cppmyth_LIBRARIES ws2_32)
else ()
  list (APPEND cppmyth_LIBRARIES m)
  find_library (LIBRT rt)
  if (LIBRT)
    list (APPEND cppmyth_LIBRARIES rt)
  endif ()
endif ()

add_library (cppmyth STATIC ${CPPMYTH_SOURCES})
target_link_libraries (cppmyth ${cppmyth_LIBRARIES})

=== debian/changelog ===
kodi-pvr-mythtv-dmo (6:21.1.12-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Dec 2025 21:29:29 +0100

## kodi-pvr-mythtv-dmo 21.2.0

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # set lib version here
 set (PACKAGE_VERSION_MAJOR 2)
 set (PACKAGE_VERSION_MINOR 18)
-set (PACKAGE_VERSION_PATCH 1)
+set (PACKAGE_VERSION_PATCH 2)
 
 set (PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})
 set (PACKAGE_LIB_SOVERSION ${PACKAGE_VERSION_MAJOR})

=== debian/changelog ===
kodi-pvr-mythtv-dmo (6:21.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 17 Dec 2025 09:11:18 +0100

## kodi-pvr-mythtv-dmo 21.2.1

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # set lib version here
 set (PACKAGE_VERSION_MAJOR 2)
 set (PACKAGE_VERSION_MINOR 18)
-set (PACKAGE_VERSION_PATCH 2)
+set (PACKAGE_VERSION_PATCH 3)
 
 set (PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})
 set (PACKAGE_LIB_SOVERSION ${PACKAGE_VERSION_MAJOR})

=== debian/changelog ===
kodi-pvr-mythtv-dmo (6:21.2.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 18 Dec 2025 08:51:27 +0100

## kodi-pvr-mythtv-dmo 21.2.2

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # set lib version here
 set (PACKAGE_VERSION_MAJOR 2)
 set (PACKAGE_VERSION_MINOR 18)
-set (PACKAGE_VERSION_PATCH 3)
+set (PACKAGE_VERSION_PATCH 4)
 
 set (PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})
 set (PACKAGE_LIB_SOVERSION ${PACKAGE_VERSION_MAJOR})

=== debian/changelog ===
kodi-pvr-mythtv-dmo (6:21.2.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 Dec 2025 00:32:31 +0100

## kodi-pvr-mythtv-dmo 21.2.3

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # set lib version here
 set (PACKAGE_VERSION_MAJOR 2)
 set (PACKAGE_VERSION_MINOR 18)
-set (PACKAGE_VERSION_PATCH 4)
+set (PACKAGE_VERSION_PATCH 5)
 
 set (PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})
 set (PACKAGE_LIB_SOVERSION ${PACKAGE_VERSION_MAJOR})

=== debian/changelog ===
kodi-pvr-mythtv-dmo (6:21.2.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 20 Dec 2025 08:52:52 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,7 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/janbar/pvr.mythtv
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
   zlib1g-dev, ninja-build

=== debian/watch ===
version=4

https://github.com/janbar/pvr.mythtv/tags \
(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@

## kodi-pvr-mythtv-dmo 21.2.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5...3.20)
project(pvr.mythtv)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Kodi REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways
                    ${PROJECT_SOURCE_DIR}/lib/cppmyth/src)

add_definitions(-DUSE_DEMUX -D__STDC_FORMAT_MACROS)

if(NOT WIN32)
  add_options(ALL_LANGUAGES ALL_BUILDS "-fPIC -Wall")
endif()

file (GLOB MYTHTV_SOURCES
  src/demuxer/*.cpp
  src/cppmyth/*.cpp
  src/*.cpp)

file (GLOB MYTHTV_HEADERS
  src/demuxer/*.h
  src/cppmyth/*.h
  src/*.h)

add_subdirectory(lib/cppmyth)

set(DEPLIBS cppmyth)
if(WIN32)
  list(APPEND DEPLIBS ws2_32)
else()
  list(APPEND DEPLIBS m)
endif()

if(NOT WIN32 AND (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX))
  if(HAS_BUILTIN_SYNC_ADD_AND_FETCH)
    add_options(ALL_LANGUAGES ALL_BUILDS "-DHAS_BUILTIN_SYNC_ADD_AND_FETCH")
  endif()
  if(HAS_BUILTIN_SYNC_SUB_AND_FETCH)
    add_options(ALL_LANGUAGES ALL_BUILDS "-DHAS_BUILTIN_SYNC_SUB_AND_FETCH")
  endif()
endif()

set(BUILD_SHARED_LIBS ON)
build_addon(pvr.mythtv MYTHTV DEPLIBS)

include(CPack)

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -14,8 +14,8 @@
 ###############################################################################
 # set lib version here
 set (PACKAGE_VERSION_MAJOR 2)
-set (PACKAGE_VERSION_MINOR 18)
-set (PACKAGE_VERSION_PATCH 5)
+set (PACKAGE_VERSION_MINOR 19)
+set (PACKAGE_VERSION_PATCH 8)
 
 set (PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})
 set (PACKAGE_LIB_SOVERSION ${PACKAGE_VERSION_MAJOR})

=== debian/changelog ===
kodi-pvr-mythtv-dmo (6:21.2.14-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Feb 2026 08:06:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: kodi-pvr-mythtv-dmo
 Section: video
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/janbar/pvr.mythtv
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
   zlib1g-dev, ninja-build

## kodi-pvr-mythtv-dmo 21.2.15

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 # set lib version here
 set (PACKAGE_VERSION_MAJOR 2)
 set (PACKAGE_VERSION_MINOR 19)
-set (PACKAGE_VERSION_PATCH 8)
+set (PACKAGE_VERSION_PATCH 9)
 
 set (PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})
 set (PACKAGE_LIB_SOVERSION ${PACKAGE_VERSION_MAJOR})

=== debian/changelog ===
kodi-pvr-mythtv-dmo (6:21.2.15-dmo0~bpo12+1) bookworm-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Feb 2026 14:30:35 +0100

kodi-pvr-mythtv-dmo (6:21.2.14-dmo0~bpo12+1) bookworm-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 05 Feb 2026 08:31:10 +0100

kodi-pvr-mythtv-dmo (6:21.2.3-dmo0~bpo12+1) bookworm-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 23 Dec 2025 14:19:55 +0100

kodi-pvr-mythtv-dmo (6:21.1.12-dmo0~bpo12+1) bookworm-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Dec 2025 11:37:15 +0100

kodi-pvr-mythtv-dmo (6:21.1.11-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 12 Nov 2024 15:07:32 +0100

kodi-pvr-mythtv-dmo (6:21.1.9-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Jul 2024 00:50:41 +0200

kodi-pvr-mythtv-dmo (6:21.1.8-dmo0~bpo12+1) stable-backports; urgency=medium

  * Build for stable-backports

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 14 Apr 2024 11:50:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: kodi-pvr-mythtv-dmo
 Section: video
+Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://github.com/janbar/pvr.mythtv
-Standards-Version: 4.7.3
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), cmake, dh-sequence-kodiaddon (>= 5:21~),
   zlib1g-dev, ninja-build

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ -Scmake+ninja --with quilt
+	dh $@ -Scmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

=== debian/watch ===
version=4

opts=repack \
https://github.com/janbar/pvr.mythtv/tags \
(?:.*?/)?v?(\d[\d.]*)-Omega@ARCHIVE_EXT@
